%define url_ver	%(echo %{version}|cut -d. -f1,2)

Summary:	GNOME Screensaver
Name:		gnome-screensaver
Version:	3.6.1
Release:	%mkrel 13
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
Patch0:		systemd.patch
License:	GPLv2+
Group:		Graphical desktop/GNOME
Url:		http://www.gnome.org
BuildRequires:	pkgconfig(dbus-1)
BuildRequires:	pkgconfig(dbus-glib-1) >= 0.30
BuildRequires:	pkgconfig(gio-2.0) >= 2.25.6
BuildRequires:	pkgconfig(gnome-desktop-3.0) >= 3.1.91
BuildRequires:	pkgconfig(gobject-2.0) >= 2.25.6
BuildRequires:	pkgconfig(gsettings-desktop-schemas) >= 0.1.7
BuildRequires:	pkgconfig(gthread-2.0)
BuildRequires:	pkgconfig(gtk+-3.0) >= 2.99.3
BuildRequires:	pkgconfig(libgnomekbdui) >=  0.1
BuildRequires:	pkgconfig(x11) >= 1.0
BuildRequires:	pkgconfig(systemd)
BuildRequires:	pam-devel
BuildRequires:	pkgconfig(xext)
BuildRequires:	automake
BuildRequires:	autoconf
BuildRequires:	intltool >= 0.35.0
BuildRequires:	pkgconfig(xxf86misc)
BuildRequires:	pkgconfig(xxf86vm)
BuildRequires:	pkgconfig(xtst)
BuildRequires:	desktop-file-utils
# (cg) for autoreconf/Patch0
BuildRequires:	gnome-common
Requires:	libxslt-proc
Requires:	dbus-x11
Recommends:	mageia-theme-screensaver

%description
gnome-screensaver is a screen saver and locker that aims to have
simple, sane, secure defaults and be well integrated with the desktop.
It is designed to support:

        * the ability to lock down configuration settings
        * translation into other languages
        * user switching

%prep
%autosetup -p1

%build
# For patch0:
autoreconf -fvi
%configure2_5x \
	--with-systemd
%make

%install
%makeinstall_std

%find_lang %{name}

%files -f %{name}.lang
%doc README AUTHORS
%{_bindir}/*
%{_libexecdir}/%{name}-dialog
%{_sysconfdir}/pam.d/*
%{_sysconfdir}/xdg/autostart/%{name}.desktop
%{_mandir}/man1/*.*


%changelog
* Wed Jun 08 2016 colin <colin> 3.6.1-13.mga6
+ Revision: 1020828
- Add missing build dep for autoreconf
- Avoid full reconf for patch0

  + tv <tv>
    - patch 0: fix build with systemd
    - adjust BRs for latest systemd

* Mon Feb 15 2016 umeabot <umeabot> 3.6.1-12.mga6
+ Revision: 960464
- Mageia 6 Mass Rebuild

* Fri Jul 24 2015 sander85 <sander85> 3.6.1-11.mga6
+ Revision: 856939
- Rebuild for new gnome-desktop3

* Wed Oct 15 2014 umeabot <umeabot> 3.6.1-10.mga5
+ Revision: 739989
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.6.1-9.mga5
+ Revision: 679754
- Mageia 5 Mass Rebuild

  + tv <tv>
    - s/uggests:/Recommends:/

* Thu Sep 04 2014 colin <colin> 3.6.1-8.mga5
+ Revision: 671888
- Rebuild for new systemd

* Thu Mar 13 2014 dams <dams> 3.6.1-7.mga5
+ Revision: 603106
- rebuild for new gnome-desktop

* Sat Oct 19 2013 umeabot <umeabot> 3.6.1-5.mga4
+ Revision: 533636
- Mageia 4 Mass Rebuild

* Mon Sep 02 2013 ennael <ennael> 3.6.1-4.mga4
+ Revision: 474378
- Rebuild against new gnome-desktop3

* Tue May 28 2013 fwang <fwang> 3.6.1-3.mga4
+ Revision: 429075
- rebuild for new gnome-desktop

* Sat Jan 12 2013 umeabot <umeabot> 3.6.1-2.mga3
+ Revision: 352192
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Oct 16 2012 ovitters <ovitters> 3.6.1-1.mga3
+ Revision: 307025
- new version 3.6.1

* Tue Sep 25 2012 ovitters <ovitters> 3.6.0-1.mga3
+ Revision: 297725
- new version 3.6.0

* Mon Aug 06 2012 ovitters <ovitters> 3.5.5-1.mga3
+ Revision: 279422
- new version 3.5.5

* Tue Jul 17 2012 ovitters <ovitters> 3.5.4-1.mga3
+ Revision: 272020
- new version 3.5.4

* Tue Jul 17 2012 ovitters <ovitters> 3.4.4-1.mga3
+ Revision: 272008
- new version 3.4.4

* Wed Jul 11 2012 ovitters <ovitters> 3.4.3-1.mga3
+ Revision: 269560
- new version 3.4.3

* Tue Jun 26 2012 ovitters <ovitters> 3.4.2-1.mga3
+ Revision: 263782
- new version 3.4.2

* Mon Jun 11 2012 ovitters <ovitters> 3.4.1-2.mga3
+ Revision: 259818
- enable systemd

* Sat Apr 14 2012 ovitters <ovitters> 3.4.1-1.mga2
+ Revision: 230808
- new version 3.4.1

* Tue Mar 27 2012 ovitters <ovitters> 3.4.0-1.mga2
+ Revision: 227022
- new version 3.4.0

* Wed Mar 21 2012 ovitters <ovitters> 3.3.92-1.mga2
+ Revision: 225380
- new version 3.3.92

* Sun Feb 26 2012 fwang <fwang> 3.2.2-1.mga2
+ Revision: 215033
- new version 3.2.2

* Fri Feb 10 2012 wally <wally> 3.2.1-1.mga2
+ Revision: 206920
- build without systemd support until mga2 is released
- new version 3.2.1
- clean .spec

* Mon Sep 26 2011 fwang <fwang> 3.2.0-1.mga2
+ Revision: 147896
- new version 3.2.0

* Mon Sep 19 2011 fwang <fwang> 3.1.92-1.mga2
+ Revision: 145414
- new version 3.1.92

* Mon Sep 05 2011 fwang <fwang> 3.1.91-1.mga2
+ Revision: 138553
- bump req of gnome-desktop
- new version 3.1.91
- new version 3.1.90
- new version 3.1.5

* Sat Jul 09 2011 cjw <cjw> 3.0.0-2.mga2
+ Revision: 121252
- rebuild against gnome-desktop3 3.1.2

* Thu Jun 09 2011 dmorgan <dmorgan> 3.0.0-1.mga2
+ Revision: 102114
- New version 3.0.0

* Thu Jan 20 2011 pterjan <pterjan> 2.30.2-1.mga1
+ Revision: 26579
- Drop ia_ora stuff and old scriptlets
- imported package gnome-screensaver

